import * as $dara from '@darabonba/typescript';
import { ListHoneypotNodeResponseBody } from "./ListHoneypotNodeResponseBody";
export declare class ListHoneypotNodeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListHoneypotNodeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
